#include <Adafruit_NeoPixel.h>

#define PIN 7

Adafruit_NeoPixel RGB = Adafruit_NeoPixel(64, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  // put your setup code here, to run once:
  RGB.begin();
  RGB.setBrightness(50);
  RGB.show();
}

void loop() {
  // put your main code here, to run repeatedly:
  rainbow(20);
}

void rainbow(uint8_t wait) {
  uint16_t i, j;

  for(j=0; j<256; j++) {
    for(i=0; i<RGB.numPixels(); i++) {
      RGB.setPixelColor(i, Wheel((i+j) & 255));
    }
    RGB.show();
    delay(wait);
  }
}

// Input a value 0 to 255 to get a color value.
// The colours are a transition r - g - b - back to r.
uint32_t Wheel(byte WheelPos) {
  if(WheelPos < 85) {
   return RGB.Color(WheelPos * 3, 255 - WheelPos * 3, 0);
  } else if(WheelPos < 170) {
   WheelPos -= 85;
   return RGB.Color(255 - WheelPos * 3, 0, WheelPos * 3);
  } else {
   WheelPos -= 170;
   return RGB.Color(0, WheelPos * 3, 255 - WheelPos * 3);
  }
}
